#
# Be sure to run `pod lib lint EbookBlockchain.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'EbookBlockchain'
  s.version          = '0.2.5'
  s.summary          = 'Various classes required to connect to an EbookErisBlockchain (C)Katalysis 2016.'

# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
Various classes required to connect to an EbookErisBlockchain (C)Katalysis 2016.
Asset Protocol, 
                       DESC

  s.homepage         = 'https://gitlab.com/katalysis/EbookBlockchain'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'Apache License v2.0', :file => 'LICENSE' }
  s.author           = { 'Alex Tran Qui' => 'alex@katalysis.io' }
  s.source           = { :git => 'https://gitlab.com/katalysis/EbookBlockchain.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '8.0'
  s.osx.deployment_target = '10.10'

  s.source_files = 'EbookBlockchain/Classes/**/*'
  
  # s.resource_bundles = {
  #   'EbookBlockchain' => ['EbookBlockchain/Assets/*.png']
  # }

  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'MapKit'
  s.dependency 'Starscream', '~> 1.1.3'
  s.dependency 'JSONCodable', '~> 2.1'
  s.dependency 'Locksmith'
  s.dependency 'ErisKeys', '~> 0.1'

end
